%define api	1.0
%define major	0
%define gmajor	1.0

%define libname	%mklibname gstvalidate %{api} %{major}
%define girname	%mklibname gstvalidate-gir %{gmajor}
%define devname	%mklibname gstvalidate %{api} -d

Name:		gstreamer1.0-validate
Summary:	Suite of tools to run GStreamer1.0 integration tests
Version:	1.10.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		Video/Utilities
Url:		http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-validate/gst-validate-%{version}.tar.xz
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
#Optional BRs
BuildRequires:	pkgconfig(libunwind)
BuildRequires:	pkgconfig(libdw)
Requires:	%{name}-scenarios >= %{version}-%{release}

%description
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{devname}
This package contains the shared libraries and development files
for %{name}.

%package scenarios
Summary:	Validate scenarios for %{name}
Group:		Video/Utilities
BuildArch:	noarch

%description scenarios
This package contains the scenario files for %{name}.

%prep
%setup -qn gst-validate-%{version}
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
	--with-package-name='%{_vendor} %{name} package' \
	--with-package-origin='http://www.%{_real_vendor}.org' \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/gst-validate-1.0
%{_bindir}/gst-validate-images-check-1.0
%{_bindir}/gst-validate-launcher
%{_bindir}/gst-validate-media-check-1.0
%{_bindir}/gst-validate-transcoding-1.0
%{_libdir}/gst-validate-launcher/
# should plugins be here or somewhere else?
%{_libdir}/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategapplication.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidategtk.so
%{_libdir}/gstreamer-1.0/validate/libgstvalidatessim.so
%{_libdir}/gstreamer-1.0/libgstvalidateplugin-1.0.so*

%files -n %{libname}
%{_libdir}/libgstvalidate-%{api}.so.%{major}
%{_libdir}/libgstvalidate-%{api}.so.%{major}.*
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}
%{_libdir}/libgstvalidate-default-overrides-%{api}.so.%{major}.*
%{_libdir}/libgstvalidatevideo-%{api}.so.%{major}
%{_libdir}/libgstvalidatevideo-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/GstValidate-%{gmajor}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/gst-validate-%{api}/
%doc %{_datadir}/gtk-doc/html/gst-validate-plugins-%{api}/
%{_includedir}/gstreamer-1.0/gst/validate/
%{_includedir}/gstreamer-1.0/lib/validate/
%{_libdir}/pkgconfig/gst-validate-%{api}.pc
%{_datadir}/gir-1.0/GstValidate-%{gmajor}.gir
%{_libdir}/libgstvalidate-%{api}.so
%{_libdir}/libgstvalidate-default-overrides-%{api}.so
%{_libdir}/libgstvalidatevideo-%{api}.so

%files scenarios
%{_datadir}/gstreamer-1.0/validate/


%changelog
* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085498
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081804
- new version 1.10.2

* Fri Aug 19 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047100
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021008
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011421
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995285
- new version 1.8.0
- add pkg origin information

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992921
- new version 1.7.91
- drop unneeded linking patch
- fix descriptions
- fix URL

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Nov 24 2015 wally <wally> 1.6.0-1.mga6
+ Revision: 905789
- imported package gstreamer1.0-validate

